Redmine - Feature #18556

Add ability to configure limit of attachments at once
2014-12-03 21:40 - Stephen Ostrow

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Attachments Estimated time: 0.00 hour

Target version:

Resolution:

Description

Currently there is a hard limit of only 10 attachments per change of an issue. It would be nice if this was configurable or removed
completely if possible.

I'm wondering if there was a specific reason why this limit was added in the first place.

Related Issue: #18555, #8579
This is the code in question: source:/trunk/public/javascripts/attachments.js#L6

Related issues:

Related to Redmine - Feature #18555: Show warning when attempting to attach m... Closed
Has duplicate Redmine - Defect #18642: Limited number of simultanous file upl... Closed
Has duplicate Redmine - Feature #25562: restricting the number of files a use... Closed
History

#1 - 2014-12-04 00:59 - Go MAEDA

- Related to Feature #18555: Show warning when attempting to attach more than the allowed number of attachments added

#2 - 2014-12-15 14:56 - Go MAEDA

- Has duplicate Defect #18642: Limited number of simultanous file uploads added

#3 - 2017-02-20 08:51 - Antonio Kless

| wanna politely remind of this.

#4 - 2017-04-10 16:56 - Toshi MARUYAMA

- Related to Feature #25562: restricting the number of files a user can upload added

#5 - 2017-04-10 17:02 - Toshi MARUYAMA

- Related to deleted (Feature #25562: restricting the number of files a user can upload)

#6 - 2017-04-10 17:03 - Toshi MARUYAMA

- Has duplicate Feature #25562: restricting the number of files a user can upload added

#7 - 2018-01-25 15:53 - Jonathan Cormier

- File attachments_3.3.1_increase_number_upload _files.diff added

Here is my rough first attempt at changing this. I'm running redmine 3.3.1 so the patch would need some updated to apply to latest.

#8 - 2018-03-08 12:33 - Stephan Bauer

| also would like to bump that feature.

#9 - 2018-06-21 20:15 - Grigoriy Vasilchenko

Jonathan Cormier Increasing max files number works, but notification not (redmine 3.4.4)

#10 - 2018-06-21 21:05 - Jonathan Cormier

2025-08-23 1/3



https://www.redmine.org/issues/18555
https://www.redmine.org/issues/8579
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/javascripts/attachments.js#L6

- File attachments_3.4.4_increase_number_upload _files.diff added

Changing for 3.4.4 didn't take much. Error message code didn't change at all. Works for me

#11 - 2018-06-22 09:25 - Grigoriy Vasilchenko
- File attachments.png added

This what firefox console shows
#12 - 2018-06-22 15:31 - Jonathan Cormier
Grigoriy Vasilchenko wrote:

This what firefox console shows

Your syntax error indicates that there is some bad code on line 170. If you open firefox's inspector, select Debugger and find the attachments.js file.
Look at line 170. Maybe you mistyped something, missed a parenthesis or bracket...

#13 - 2018-06-25 06:25 - Grigoriy Vasilchenko

You are totally right, my bad. | have copied plus signs from diff file :)

#14 - 2018-07-06 13:02 - Phil Valentine

+1 for this feature.
It wouldn't be so bad if inline images didn't have to be "attachments" - many of our issues will have screenshots / captures to go along with them. |
know we could "zip" and package them up, but it is useful to see them as inline images.

#15 - 2018-07-06 14:42 - Jonathan Cormier

Does anyone know if this change to attachments.js could be done via a plugin?

#16 - 2018-09-20 22:44 - Hal Glenn

+1 we run into this issue all the time. Issues end up with lots of screen captures in them, so there are multiple edits required to add all the content.

#17 - 2018-10-20 11:29 - Aleksandar Pavic

+1 this should be core feature.

#18 - 2019-02-07 14:29 - Chris D

| am also looking for this feature.

#19 - 2019-02-22 17:07 - Jonathan Cormier

Note: attachments_3.4.4_increase_number_upload_files.diff still applies cleanly in redmine 4.0

#20 - 2019-12-13 11:59 - Andriy Lesyuk

Configurable attachments limit has been implemented in this plugin: http://www.redmine.org/plugins/that_attachments_limit
It works on Redmine 3.4 and Redmine 4.0 (and, maybe, others).

#21 - 2020-03-26 15:42 - Jonathan Cormier

Andriy Lesyuk wrote:
Configurable attachments limit has been implemented in this plugin: http:/www.redmine.org/plugins/that attachments_limit
It works on Redmine 3.4 and Redmine 4.0 (and, maybe, others).

That's great. | really wish this could be integrated into redmine.

Andriy, now that the show error message has been accepted, | assume it would be something that could be added to your plugin easily?
https://www.redmine.org/issues/18555

#22 - 2022-04-21 14:41 - Mischa Mundwiler

+1 for this feature.
We run in this issue quite a lot. Especially with the DMSF-Plugin as we quite often upload more than 10 files. If you have 11 or 12 files you easily miss
that only the first 10 files have been uploaded...
#23 - 2022-09-02 21:31 - Gary Aitken

+1 for this feature. It is an impedement for some of our development work which frequently has >10 experimental results to be uploaded.

It would be great if the plugin would be upgraded to 5.x

#24 - 2022-10-24 15:48 - Jan Catrysse

| made some small changes to partially address #18555. This does not resolve the error message “max-number-of-files™, | am not confident on
making that change.

https://github.com/redminetri m/that_ hments_limit/commit/4d3e40144{7 4c07 ff1bf01 {647

#25 - 2025-06-16 14:28 - Alexander Atzenweiler

A very old request from Redmine: Over 10 years (!) and the ticket still has the status "New".
| am starting a new attempt:
The limit should be adjusted so that more and larger files can be uploaded at the same time and the resulting ‘idle time’ or effort is reduced.

Suggestion:

1. The new limit for the number of files should be at least 40-50 (first priority, | consider this to be mandatory). This value can apparently not be set via
the administration (hardcoded?). It requires a corresponding plugin ( That attachments limit).

Note: A: In principle, we do not want to use plugins. Reason: Dependence on the manufacturer. B: Plugins may not be developed further and are not
compatible with the latest Redmine version.

2: The maximum file size should be doubled from 20MB to approx. 40MB (second priority, but very useful if even a ZIP file cannot be brought under
20MB).

| hope my request will be heard.
Info / at the end: Text translated from German to English with DeepL.com (free version)
#26 - 2025-06-16 20:40 - Jonathan Cormier
Agreed, no idea why something this simple has had no traction. Patches are even available for the devs for years.
2: The maximum file size should be doubled from 20MB to approx. 40MB (second priority, but very useful if even a ZIP file cannot be brought

under 20MB).

This can be set in the settings "Maximum attachment size" under the files tab. We have ours set to 1GB. Be warned if you are using a reverse proxy
(apache, nginx, etc), you'll also need to update that to allow the bigger file size.

Files

attachments_3.3.1_increase_number_upload_files.diff 724 Bytes 2018-01-25 Jonathan Cormier
attachments_3.4.4_increase_number_upload_files.diff 1.02 KB 2018-06-21 Jonathan Cormier
attachments.png 17.1 KB 2018-06-22 Grigoriy Vasilchenko
